## openmsx 0.7.2-1

=== debian/changelog ===
openmsx (0.7.2-1) stable; urgency=low

  First Release


 -- Manuel Bilderbeek <unknown@gmail.com>  Sat, 07 Apr 2012 15:58:39 +0000

## openmsx 17.0

=== meson_options.txt ===
option('alsamidi', type : 'feature', value : 'auto',
    description : 'MIDI out pluggable using ALSA (Linux-only)'
    )
option('glrenderer', type : 'feature', value : 'auto',
    description : 'renderer that uses OpenGL'
    )
option('laserdisc', type : 'feature', value : 'auto',
    description : 'emulation of Laserdisc players'
    )

## openmsx 0.7.2-2

=== debian/changelog ===
openmsx (0.7.2-2) stable; urgency=low

  * fixed ownership issue


 -- Manuel Bilderbeek <unknown@gmail.com>  Sat, 07 Apr 2012 16:54:11 +0000

=== debian/control ===
Source: openmsx
Section: user/games
Priority: extra
Maintainer: Manuel Bilderbeek <unknown@gmail.com>
Build-Depends: debhelper (>= 4.0.0), zlib1g-dev, libsdl1.2-dev, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libpng12-0 (>= 1.2.13-4), libsdl-ttf2.0-0, libsdl1.2 (>= 1.2.10-1), libstdc++6 (>= 4.2.1), libxml2 (>= 2.6.32), tcl8.5 (>= 8.5.0), zlib1g (>= 1:1.2.1)
Standards-Version: 3.7.2

Package: openmsx
XB-Maemo-Display-Name: openmsx
Architecture: armel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libpng12-0 (>= 1.2.13-4), libsdl-ttf2.0-0, libsdl1.2 (>= 1.2.10-1), libstdc++6 (>= 4.2.1), libxml2 (>= 2.6.32), tcl8.5 (>= 8.5.0), zlib1g (>= 1:1.2.1)
Suggests: openmsx-gui
Description: openMSX is an MSX computer emulator
XB-Maemo-Upgrade-Description: 
XSBC-Bugtracker: http://bugs.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsTAAALEwEAmpwYAAAA
 B3RJTUUH1QYFCyErGs8h7AAAAB10RVh0Q29tbWVudABDcmVhdGVkIHdpdGggVGhlIEdJTVDvZCVu
 AAAABmJLR0QAAAAAAJbgL40OAAANSklEQVR42u2bC1hN6RrHv3Upl8llmjE4jBoZwxzj2mBmHklD
 x8hl6CCVuyEll1RC6K6YTEPGCDnUgwlDIqmk+0XKJckllEmkJGc00e0977f22lntcpna27Hnme95
 /s9qt3e1fv/1vu/3futbEfL3eFNjfQvUREK8thLimUiIRxoh7qmEuMUR4upJiMtQQtZyf0VwFmWG
 4LkoQHCUO8oN5YpyQa1Dra0lZE08Ic5D/krw2qigYcOCalesiIG5c4+DtvZGEdxVAO/UaQMMHRoA
 gwdvg5YtqRGrqlCOhDhpqD1869Yb0w8fvgrSUVpaAcbGQdCihTsEBJyDp0+r695LS7sDnTvTKFmB
 cgwkxF5dTfDCsPfau2PHeWhslJdXQkzMrUbfi429CTzvhAbYU21WUwM8p/bq9XNtTU0t/NlRiz9i
 bByA8MtRdpgOSyerGbwHVnuPG2vXxkJTh79/IsIvQy1FLblByOKWamSA+0Ra4Q8evNJkAy5dKqTg
 qMVUGAW2empkgFsQrfDR0TfrgBwcHMDU1FT4urq6Cu7f/w1DvRby8/PByMgIUlJS6hnw7Fk1gtuK
 sqHHeWoC78rjvH6LTm9BQRcbGHA1JxkupVvAjUweIo5NgszMTOjSpQuEh4fXM6Co6L8IvUiEt6YK
 JuQnRg0McMHqv+4ZNjRga3u8HlRBQT6kxX0NmRkxUJTLw8PbPJw4tr7RFAgKShPBF6KsqJLUKAXW
 3MNuDt5/3xOePHlWB3Xs8Ayo/CMKsi4EQ2keLyg+oguUlZXVg6+qqoYBA7wk8PPpMU2NDFh9ATs5
 POmVsGhRqABVWVkJSdFfYN5XwrmUNXUGUEVG7Kw3BXp4nBDBF4jw39GjOhmwKgHnbxg/zh5+9PsB
 ok+YQHqSDZQWficYkBo3oZ4BsZGWkBS/DWKjlsK+4A3QqeNwCfg81Fx6TFEjA5xivzH+Bg4EmcPJ
 Q5rwQMz30vz2UFN1F2JOjqxnQGKEBuRf5iH9DAdeazUhM56Hdm2HS+Bno+aoUw1wTFxi1QNOH+Pg
 W5N3BAPksOWldg0MkCtwKwdWc1hIjeagu+5QCi3Cz6JKVCMDHC5262oK52JbgeMSDRjQl4ETIRxk
 p/JQdocXjhQ4L0sTkqN4OBDIw5SJmtC2DQsRh3lYbNVPAj4TNYMeU9XIAPsHtAa0bm0Jv+zWho/1
 CAIQYFkC/fowEBSgAQtmc/iaEb4v17jRDPh6foTfnyWBn46ypMJu0LKnOlz9NpIeHnrqjYXoUA4+
 7EIAOyT4CuXIMDAJZY/qJ8J37EAg9qQezJ79E+jqLhevuhzeAmVOjz+rgQEzjGXwi8U2dhGMMPgC
 TdAEcz0GfmdZqOI4SMJjJR4fo4Z2JXB0Xxu4eeOM0B5TnT+fB46OB0BHh/6eaSgz1FRssCx6veUG
 mB+RwuvorIEjRy5AetoBzPe2sHMFC2GdWLiOBhzVYmGLGQvHQnrDlcun6+Clqqysgq1bT4G2Ni2I
 U6gZ+wkxfVtvkmhb4vxdS8EZxgZb4RAoLS2vg7mZmw2nwsZBWgwHv/ixsN2vJRzcbwX3CgsbhZfq
 7t2HuGZwEBukiTGEDF5JSPd/vEXw7SfhlSmn4dqmzQyIiMh+Icz1a5ch/ewZXPDcfSV4TU1N3df7
 958UjJVFGF0nzLuKf6/7/4sYw3DQXEIM4wkxyZF1bjOgbVsTSE29/Uqw15XUgJKSEuA4M7HA2orR
 YHmbkM86v2n2HoSMuyi7cblGvIG5EFq2HAbx8TeUBt+wHlTiFDlTjAAb0QDaLk+l6wTNNwSv+SG2
 p7my+/prxKmKntBA2LUrQWXwVA8fPgSenyXeJ1gorhfmiR2jgf0bMmBy6HN4J/FkeoO5+fcqhac6
 fvy0GPrW4kpRDk9Nmfg7If37qxj+XX3ZnVo5vJ2wWOnQYSQUF/+ucgMMDOSGy0NfDi9vmkbhKpSw
 KjRgvGN9eHo1Podt26JVDu/mthPzf7Ek9OdK4C3EZulbnIL7j1E4aWXeRpvgLoNfLsJPh27dTODp
 08pmwZWUlIGrayCMGuUG06evh+Tks3XvVVdX43sUfqFC6M8W4S1FeNokTUSNjGnkxJVlwsdTZH2+
 rXgi+rB588kXTluvo+LiEujXz17cIKXR5QCamtbg778PsrKywdDQAed++c3RBZLQnynC0zXCVNS/
 UZNQ4yuwJumrKgc+wOmvQpaDc0BL60soKytvAEWv2usaMH/+ZnGTdC1qtXAbjUYYx43FadW6kSlP
 HvrTRXjaF0wW4SegxqGM1quwDrzvgH8Ic20UmJq6NCv08/PvgIbGMnFr3FmEdxT3BJeJ8IpT3mxJ
 3puJoW9K81+EN0EZYnNEeFU5gFW2xWRCutzesyexWQYEBR0RwWnorxKLq4NYYJeI8IpT3kxJ3stD
 n+b+eBH+G9TgW7Q3V/GU2C+zsPBRswxwdw8Uw361BH65pNW1VpjyZkpCf6pC6I9FjUGNpn1JsJKr
 f4PR6pNPplY1d2rz8dkrhn1joW/zkilPnvfS0JfDG6G0R6i6HRxsabnhcXMNCA+Pwgq/UlxL2CuE
 /ovyfpok7xVD31joSvH0VGfA6JFMh+66ZIWFhXNFSnIilJeXN9mAx48fQ7t28xTy3vYleW+ukPfy
 0DcRj/p0TYAaaqds7tb9+jB2HqvZjF/3cDVXknm4c4GHmCMc+Hl1hh3b6RZY01phL69AjAI7Sd7/
 mSlvrCCeNwFra1dcKyTja7qf8HmwUul7fcw45J3n4UIsB7/+h4MDARzs8WchaCsHv6EReRk8uK/S
 haTE+CYtcefM8UAIW4XQt2pkypPm/UT8mTEwbNhciI1NEleL/wU9Pfq5gcrdQ9joyqaW3ODh4XUe
 Sq6hrsr0G5qywxeN8OegOJsHfy9NzOuwJkVCQkIq+PoehFOnEiEyMhrWr9+FbbE7DBiwANtgmtsj
 sGcwgo8+mgJjxiyBTZsCITv7SoPfM3w4jZr+St1H7IqhXiUFL8nhofiKKAS/eJqDDc4sFJzj8dga
 e/lkoSVWpqqrZXrV5wwNacR8pjwD+vQm5sUieHGOBB7Biy+jslCXMBoQ3ssJTUjnYcl8XWHLW9km
 vI4MDGix7K28FLCzYv2Eq35FAVyEf4DwDy6isBbcSePBz4WFnBgO1jrbCCdUWlr6Rg0YOJDWh56x
 hOjsRa1ShgEnS+Tg2QrgEvgH52XKOIGF8mcOPOw14datW1BQUNDM0K9+5Wfk+f/oURku0PqgATpy
 1Ta/4f2UsS+8KAHPahy8KBOFs0ERpsLeTSzciqdRsEQw4MmTJyq74hRc9mBFLYSEhCF0N4l0zjZ/
 5cOSNrt82VLFcJfDC+AS+CKsAQXYJ9w/y8NKmw7w9OlTyMjIEE42ICAAcnNzlW6CfIwfP0fRABul
 1IF/GTKraYWvd9UVwVH302Xg97EW3E/lIXwXBxEREXD79m24du0aODk5CU+F0aHsCKBj2rRFUvgC
 lJZSDBjUl7TyWcVeqnfVXwIuKIWHwiQe1nssF040ISEB8vLyVAYve/74D2jVqic1oAbhlftcYbs2
 pG/EXq5MMdwFcCk8gt+jwjS4hwZ4rzGoO+GoqChIT0+vu3VGRTvB5oa+dMyfTxdWOocI0VX+cni0
 ITP5XBhXIwcvUgC/LwG/lyiT78p361XynJwcCAwMhLCwsGYZoHj15cPTw6ui3TstvlLZanDCKGZW
 2hHuiWK4C+BS+ARMgXge9m39slGA69evg7e3N1RUVCgNno4D2+3AfxFb20eX7KaLOJWYMKgPGRm6
 nXskXPUXgFPdieEhPengC0HoVteWLVteG/pl4PLxvV1fuLKTg2Q/Dgw+Y+hGiWqeMmcY0i3Q36wk
 ++Q7UIjghXXwHBTG8YL8130Az5798VIwxRRQvMX+olxv8A8GOA4d+gWOe2gIBlDF+3Kg15k4qSwd
 sLL/c19wQM5uv2HVSfv4OvDcCA58HN+DjPSEBjBNDe2X0Au6fPkyOM/UroOXa+kk5pSqb4+1DAkJ
 sfLx8b7kuW5G9cG9jnD00Lba3OvnayPCfy339t50xsNjR2Fq6qWXwtOOkaZEU8bRo0fB3vw9Adhn
 Hgvntz03wOJrJuCNPTUwZMiQjl27dv2KZdnh7du3H/i8CA3lcI0+Ql/fbOPixV4pfn57y6OikqGk
 pLRuE4V2jOvWuYOPz0bhQYhXR30txMXFwcJZJvCjNUtha6ku4Dpk43csbECFurLQ7QMy6y18lmgw
 S8inXXDVhib1NCCkhyEheqjuqM6GWlpaC83NzSPd3FyfBAcHQ2RkJMTExEBoaKhQNB2WLYAFprqw
 ZZEGZAVowG57Fs5uqR/6WQEcmBsxjz/sQDoQNR5aE75gjgTaa8AeRw5CnFmI85UBhnuy9WA9ZrH1
 DIjy5kC3I7Ejf4HB6fdkbL3msEXntj4H/MGKFcDlr6kxLtNlkRD7PQcDejAHVfyswBsf7Tprk6UW
 Rkw6glbvWMaCswVTz4QMNAgjpmrsEGalKvcG34bxHmokyxBrDPMVxoOYdWaGjAt2fwv0e5Ku5O/x
 58b/AE+O9d9XRYCxAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/openmsx" install
	mkdir -p "$(CURDIR)/debian/openmsx"

	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sony_HBD-50/"
	cp -a "src/opt/openmsx/share/extensions/Sony_HBD-50/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sony_HBD-50/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Panasonic_FS-FD1A/roms/"
	cp -a "src/opt/openmsx/share/extensions/Panasonic_FS-FD1A/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Panasonic_FS-FD1A/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/msxdos2/roms/"
	cp -a "src/opt/openmsx/share/extensions/msxdos2/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/msxdos2/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sharp_HB-3600/roms/"
	cp -a "src/opt/openmsx/share/extensions/Sharp_HB-3600/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sharp_HB-3600/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Toshiba_HX-MU900/roms/"
	cp -a "src/opt/openmsx/share/extensions/Toshiba_HX-MU900/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Toshiba_HX-MU900/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sony_HBD-F1/"
	cp -a "src/opt/openmsx/share/extensions/Sony_HBD-F1/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sony_HBD-F1/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/mbstereo/"
	cp -a "src/opt/openmsx/share/extensions/mbstereo/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/mbstereo/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/audio2/"
	cp -a "src/opt/openmsx/share/extensions/audio2/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/audio2/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Checkmark_FM_Stereo_PAK/"
	cp -a "src/opt/openmsx/share/extensions/Checkmark_FM_Stereo_PAK/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Checkmark_FM_Stereo_PAK/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Philips_VY_0010/"
	cp -a "src/opt/openmsx/share/extensions/Philips_VY_0010/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Philips_VY_0010/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Yamaha_SFG-05/"
	cp -a "src/opt/openmsx/share/extensions/Yamaha_SFG-05/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Yamaha_SFG-05/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Konami_EC-702/"
	cp -a "src/opt/openmsx/share/extensions/Konami_EC-702/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Konami_EC-702/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Panasonic_FS-FD1A/"
	cp -a "src/opt/openmsx/share/extensions/Panasonic_FS-FD1A/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Panasonic_FS-FD1A/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/machines/Panasonic_FS-A1GT/"
	cp -a "src/opt/openmsx/share/machines/Panasonic_FS-A1GT/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/machines/Panasonic_FS-A1GT/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/"
	cp -a "src/opt/openmsx/share/init.tcl" "$(CURDIR)/debian/openmsx/opt/openmsx/share/init.tcl"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/"
	cp -a "src/opt/openmsx/share/settings.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/settings.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/"
	cp -a "src/opt/openmsx/share/softwaredb.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/softwaredb.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/"
	cp -a "src/opt/openmsx/share/softwaredb1.dtd" "$(CURDIR)/debian/openmsx/opt/openmsx/share/softwaredb1.dtd"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/ESE_WAVE-SCSI/"
	cp -a "src/opt/openmsx/share/extensions/ESE_WAVE-SCSI/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/ESE_WAVE-SCSI/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/scc/"
	cp -a "src/opt/openmsx/share/extensions/scc/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/scc/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sony_HBI-55/"
	cp -a "src/opt/openmsx/share/extensions/Sony_HBI-55/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Sony_HBI-55/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/DDX_3.0/roms/"
	cp -a "src/opt/openmsx/share/extensions/DDX_3.0/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/DDX_3.0/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/fmpac/roms/"
	cp -a "src/opt/openmsx/share/extensions/fmpac/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/fmpac/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/slotexpander/"
	cp -a "src/opt/openmsx/share/extensions/slotexpander/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/slotexpander/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Password_Cartridge/"
	cp -a "src/opt/openmsx/share/extensions/Password_Cartridge/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Password_Cartridge/hardwareconfig.xml"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Checkmark_FM_Stereo_PAK/roms/"
	cp -a "src/opt/openmsx/share/extensions/Checkmark_FM_Stereo_PAK/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/Checkmark_FM_Stereo_PAK/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/machines/C-BIOS_MSX1/roms/"
	cp -a "src/opt/openmsx/share/machines/C-BIOS_MSX1/roms/cbios_logo_msx1.rom" "$(CURDIR)/debian/openmsx/opt/openmsx/share/machines/C-BIOS_MSX1/roms/cbios_logo_msx1.rom"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/machines/C-BIOS_MSX1/roms/"
	cp -a "src/opt/openmsx/share/machines/C-BIOS_MSX1/roms/cbios_main_msx1.rom" "$(CURDIR)/debian/openmsx/opt/openmsx/share/machines/C-BIOS_MSX1/roms/cbios_main_msx1.rom"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/mbstereo/roms/"
	cp -a "src/opt/openmsx/share/extensions/mbstereo/roms/SHA1SUMS" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/mbstereo/roms/SHA1SUMS"
	mkdir -p "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/fmpac/"
	cp -a "src/opt/openmsx/share/extensions/fmpac/hardwareconfig.xml" "$(CURDIR)/debian/openmsx/opt/openmsx/share/extensions/fmpac/hardwareconfig.xml"

## openmsx 0.8.0

=== debian/changelog ===
openmsx (0.8.0-1ubuntu1) maverick; urgency=low

  * On armel, build with -marm -march=armv6, inline assembler not ready
    for thumb. LP: #635413.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Sep 2010 17:44:28 +0200

openmsx (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Major new features: reverse and laserdisc support.

    with reverse you can 'rewind' time with your finger tip, to correct game
    playing mistakes or inspect what caused a crash.
    Laserdisc is the Palcom system introduced by Pioneer in 1984: now you can
    play all the Palcom MSX Laserdisc games in openMSX!

    For more details see the upstream release notes at
    http://sourceforge.net/projects/openmsx/files/openmsx/0.8.0/release-notes.txt/view

 -- Joost Yervante Damad <andete@debian.org>  Mon, 07 Jun 2010 19:04:42 +0200

openmsx (0.8.0~pre1-2) unstable; urgency=low

  * custom.mk cleanup
  * cleanup build-deps

 -- Joost Yervante Damad <andete@debian.org>  Sun, 28 Feb 2010 08:44:29 +0100

openmsx (0.8.0~pre1-1) unstable; urgency=low

  * pre-release based on svn version 11272

 -- Joost Yervante Damad <andete@debian.org>  Tue, 16 Feb 2010 19:26:18 +0100

openmsx (0.7.2-5) unstable; urgency=low

  * change source format to 3.0

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 21:45:16 +0100

openmsx (0.7.2-4) unstable; urgency=low

  * fix FTBFS on debian GNU/kFreeBSD (Closes: #558201)
    (With thanks to Maarten and Cyril for doing all the work)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 27 Nov 2009 07:46:45 +0100

openmsx (0.7.2-3) unstable; urgency=low

  * backport Renesas SuperH CPU based on upstream rev 10664
    which in turn is based on a Catapult patch provided by
    Nobuhiro Iwamatsu.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 10 Oct 2009 13:29:00 +0200

openmsx (0.7.2-2) unstable; urgency=low

  * fix detection of hppa (thanks Manuel, Maarten!)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 02 Jul 2009 07:38:21 +0200

openmsx (0.7.2-1) unstable; urgency=low

  * New upstream release
    - openMSX wasn't able to load savestates with paths that contain spaces

 -- Joost Yervante Damad <andete@debian.org>  Wed, 01 Jul 2009 07:25:34 +0200

openmsx (0.7.1-1) unstable; urgency=low

  * New upstream release 0.7.1
  * find out all in /usr/share/doc/openmsx-data/release-notes.txt.gz
  * in brief:
    - Removed buggy SDLGL renderer (instead use SDLGL-PP)
    - Console now uses TrueType fonts, and can display localized text now
    - enhanced debugging possibilities
    - improved OSD
    - added some cool scripts showing off the OSD
    - speed optimizations in the CPU emulation
    - several new machines supported
    - several accuracy improvements
  * build depend on python (>= 2.5)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 29 Jun 2009 19:48:34 +0200

openmsx (0.7.0-3) unstable; urgency=low

  * add support for building on hurd-i386 (untested)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 19 Feb 2009 17:45:07 +0100

openmsx (0.7.0-2) unstable; urgency=low

  * depend on cbios (>= 0.23)
    (This is needed because openmsx 0.7.0 is more accurate
     and exposed some bugs in cbios 0.21)
  * save/load state support => (Closes: #337635)
  * updated new features list in changelog entry below
  * build-depend on libsdl-ttf2.0-dev (Oops!)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 10 Jan 2009 07:40:28 +0100

openmsx (0.7.0-1) unstable; urgency=low

  * New upstream release (0.7.0 Lazarus)
    - release notes: http://tinyurl.com/9cvgwc
    - most important new features:
      - save state support (keyboard short cuts: ALT-F7
        or Cmd+R to quick-load and ALT-F8 or Cmd-Sto
        quick-save your state)
      - Fully automatic host-MSX keyboard mapping
      - Fully transparent dir as disk
      - better debugging (e.g. break on irq)
      - Recording movies in higher resolution:
        640x480 using the "-doublesize" option
      - performance optimizations (even runs on
        a 200Mhz ARM9 for most programs)
      - screenshots of msx screen only
  * Fix compilation errors with gcc-4.4. (Closes: #504948)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 08 Jan 2009 19:29:37 +0100

openmsx (0.6.3-2) unstable; urgency=low

  * rebuild against libglew1.5

 -- Joost Yervante Damad <andete@debian.org>  Thu, 28 Feb 2008 20:04:54 +0100

openmsx (0.6.3-1) unstable; urgency=low

  * New upstream release
  * fix build dependencies
  * builds fine with gcc-snapshot (Closes: #455362)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 14:17:35 +0100

openmsx (0.6.2-3) unstable; urgency=low

  * rebuild against libglew1.4-dev

 -- Joost Yervante Damad <andete@debian.org>  Sun, 17 Jun 2007 10:56:47 +0200

openmsx (0.6.2-2) unstable; urgency=low

  * Fix build with gcc-snapshot (Closes: #419801)

 -- Joost Yervante Damad <andete@debian.org>  Wed, 18 Apr 2007 20:55:14 +0200

openmsx (0.6.2-1) unstable; urgency=low

  * new upstream release
  * build for arch i586 instead of i686

 -- Joost Yervante Damad <andete@debian.org>  Sun, 15 Apr 2007 15:19:45 +0200

openmsx (0.6.2~pre2-2) experimental; urgency=low

  * update build/*ppc* from upstream

 -- Joost Yervante Damad <andete@debian.org>  Tue, 27 Mar 2007 05:39:46 +0000

openmsx (0.6.2~pre2-1) experimental; urgency=low

  * 2nd upstream pre-release

 -- Joost Yervante Damad <andete@debian.org>  Mon, 26 Mar 2007 17:18:58 +0000

openmsx (0.6.1-5) unstable; urgency=medium

  * update maintainer email
  * hopefully fix kfreebsd build (backported from upstream)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 30 Oct 2006 20:43:43 +0100

openmsx (0.6.1-4) unstable; urgency=medium

  * acknowledge NMU (Closes: #385197)
  * fix upgrade in testing (Closes: #387869), somehow the
    Replaces: openmsx (<< 0.6.0-3) for openmsx-data got removed between -2 and
    -3
  * make openmsx binNMU safe

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 17 Sep 2006 11:01:59 +0200



=== debian/control ===
Source: openmsx
Section: otherosfs
Priority: optional
Maintainer: Joost Yervante Damad <andete@debian.org>
Build-Depends: debhelper (>= 5.0.0), docbook-to-man, libsdl1.2-dev, libpng12-dev, tcl8.4-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev
Standards-Version: 3.8.2
Homepage: http://openmsx.sf.net

Package: openmsx
Architecture: any
Depends: openmsx-data (= ${source:Version}), cbios (>= 0.23), ${shlibs:Depends}
Suggests: openmsx-catapult, openmsx-debugger
Provides: msx-emulator
Description: the MSX emulator that aims for perfection
 openMSX is an open source MSX emulator that uses a unique emulation model,
 which tries to achieve the highest level of accuracy possible. It allows
 emulating a large number of different MSX machines. Combined with the
 C-BIOS ROM-files that are available in a separate package, you can run game
 ROM-files without the need for non-free BIOS ROM files.

Package: openmsx-data
Architecture: all
Replaces: openmsx (<< 0.6.0-3)
Description: datafiles for openMSX, an MSX emulator
 These datafiles provide descriptions in XML format for various MSX machines
 and extensions.

## openmsx 0.8.1

=== debian/changelog ===
openmsx (0.8.1-4ubuntu1) precise; urgency=low

  * debian/patches/dpkg-buildflags.diff: remove *any* "-Wl" from LDFLAGS as
    retrieved from dpkg-buildflags, since it gets re-added later by the build
    process.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 Nov 2011 14:43:11 -0500

openmsx (0.8.1-4) unstable; urgency=low

  * QA upload.
  * Improve debian/rules:
    + Don't ignore errors in the clean target.
    + Don't hide commands that are being run.
    + Don't use $(CURDIR) where it's not necessary.
    + Remove commented out commands.
    + Remove spurious config.status target.
    + Add build-arch and build-indep targets.
    + Merge install-arch and install-indep targets.
    + Drop unused variables.
  * Bump debhelper compatibility level to 7.
    + Update debian/compat.
    + Update Build-Depends.
    + Don't pass --sourcedir=debian/tmp to dh_install, not needed anymore.
    + Use dh_prep instead of dh_clean -k.
  * Bump standards version to 3.9.2 (no changes needed).
  * Convert to source format 3.0 (quilt).
    + Update debian/source/format.
    + Split monolithic *.diff.gz into separate patches.
    + Undo changes to build/cpu.py, applied upstream.
    + Undo changes to build/flavour-i686.mk, not needed because we now use
      custom flavour.
  * Pass CFLAGS, CPPFLAGS and LDFLAGS acquired from dpkg-buildflags to the
    build system.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Use -O2 (rather than -O3) on ia64 (closes: #638614; works around #647552).
  * Add watch file.
  * Strip leading article from the package description.
  * Make openmsx-data recommend openmsx.
  * Move menu file from openmsx-data to openmsx.
  * Extend long description of the openmsx-data package.
  * Drop obsolete Replaces.
  * Replace ‘(C)’ with ‘©’ in the copyright file.
  * Fix a few typos in the upstream code.
  * Install docs/release-history.txt as upstream changelog.
  * Don't ship extra copy of the GPLv2 license.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 11 Nov 2011 19:25:29 +0100

openmsx (0.8.1-3) unstable; urgency=low

  * Orphaning the package.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 16:25:33 +0200

openmsx (0.8.1-2) unstable; urgency=low

  * incorporate upstream change r12202 to use ARM thumb 2
    http://openmsx.svn.sourceforge.net/viewvc/openmsx?view=revision&revision=12202

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 13:14:00 +0200

openmsx (0.8.1-1) unstable; urgency=low

  * change to 1.0 format
  * New upstream release
  * most important new things:
    - TAS: Quite complete support for Tool Assisted Speedruns,
      many TAS widgets activated in TAS mode
    - reverse: The reverse feature is enabled by default (except on Dingoo)
    - view mode added to watch replays without interrupting them
    - Replays usually contain extra snapshots enabling you to quickly go to, 
      for instance, the end
    - Option added to disable sprites and to make screenshots without sprites,
      a handy feature for people who make game maps
    - There's now a script to record movies into multiple files, very
      practical for YouTube
    - Automatically plug in real (PC) joysticks into the emulated MSX
    - emulation of seek delay
    - head-load and rotational delay on TC8566AF based disk drives.
  * important bug fixes:
    - Fixed per-soundchip-channel audio recording
    - Fixed stereo recording in mbstereo-like configurations
    - Fixed sprite collision detection (sprites can't collide in the border)
    - Fixed accuracy of mouse emulation
    - Minor fixes in MSX-AUDIO, YM2413 (Okazaki) and R800 emulation
  * new devices:
    - Flash ROM SCC+
    - ASCII Japanese MSX-DOS2
    - Sony HB-F5
    - CIEL Export Turbo machine
  * see the full release notes at
    http://sourceforge.net/projects/openmsx/files/openmsx/0.8.1/README_release-notes.txt/view

 -- Joost Yervante Damad <andete@debian.org>  Sun, 13 Mar 2011 08:26:02 +0100

=== debian/control ===
Source: openmsx
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng12-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev
Standards-Version: 3.9.2
Homepage: http://openmsx.sf.net

Package: openmsx
Architecture: any
Depends: openmsx-data (= ${source:Version}), cbios (>= 0.23), ${shlibs:Depends}, ${misc:Depends}
Suggests: openmsx-catapult, openmsx-debugger
Provides: msx-emulator
Description: MSX emulator that aims for perfection
 openMSX is an open source MSX emulator that uses a unique emulation model,
 which tries to achieve the highest level of accuracy possible. It allows
 emulating a large number of different MSX machines. Combined with the
 C-BIOS ROM-files that are available in a separate package, you can run game
 ROM-files without the need for non-free BIOS ROM files.

Package: openmsx-data
Architecture: all
Depends: ${misc:Depends}
Recommends: openmsx
Description: datafiles for openMSX, an MSX emulator
 openMSX is an open source MSX emulator that uses a unique emulation model,
 which tries to achieve the highest level of accuracy possible.
 .
 This package provides descriptions in XML format for various MSX machines and
 extensions.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# build, build-arch, build-indep targets
# ======================================

.PHONY: build build-arch build-indep
build build-arch build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) OPENMSX_FLAVOUR=debian
	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
	chmod a-x share/scripts/tas_tools.tcl
	touch build-stamp

# clean target
# ============

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -rf derived/
	rm -f debian/openmsx.1
	rm -f build/*.pyc
	dh_clean 

# binary, binary-arch, binary-indep targets
# =========================================

.PHONY: install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp OPENMSX_FLAVOUR=debian
	find debian/tmp/usr/share/openmsx/extensions/ -name hardwareconfig.xml -exec chmod a-x {} \;
	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig.py
	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig2.py

.PHONY: binary-indep
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_install -i -X release-history.txt -X GPL.txt
	dh_installdocs -i
	dh_installchangelogs -i doc/release-history.txt
	dh_installexamples -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: binary-arch
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_install -a
	dh_installman -a debian/openmsx.1
	dh_installmenu -a
	dh_link -a usr/share/doc/openmsx-data usr/share/doc/openmsx
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: binary
binary: binary-indep binary-arch

## openmsx 0.8.2

=== debian/changelog ===
openmsx (0.8.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add libao-dev and libfreetype6-dev build dependencies (Closes: #673261).

 -- Luk Claes <luk@debian.org>  Sat, 07 Jul 2012 16:40:06 +0000

openmsx (0.8.2-2) unstable; urgency=low

  * Build-depend on libpng-dev instead of libpng12-dev to help transition.
    (Closes: #662454)
  * Upgraded standards version to 3.9.3 (no changes needed).

 -- Bas Wijnen <wijnen@debian.org>  Sat, 10 Mar 2012 16:06:40 +0100

openmsx (0.8.2-1) unstable; urgency=low

  * New upstream release. (Closes: #659040, #649819)
  * Adopting the package. (Closes: #634066)
  * Remove patches which are accepted upstream.
  * Simplify build system.
  * Include zlib.h instead of declaring the struct. (Closes: #660415) 

 -- Bas Wijnen <wijnen@debian.org>  Mon, 27 Feb 2012 17:43:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: openmsx
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng12-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev
-Standards-Version: 3.9.2
+Maintainer: Bas Wijnen <wijnen@debian.org>
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
+Standards-Version: 3.9.3
 Homepage: http://openmsx.sf.net
 
 Package: openmsx

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_testdir
	$(MAKE) OPENMSX_FLAVOUR=debian
	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
	chmod a-x share/scripts/tas_tools.tcl

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -rf derived/
	rm -f debian/openmsx.1
	rm -f build/*.pyc
	dh_clean 

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp OPENMSX_FLAVOUR=debian
	find debian/tmp/usr/share/openmsx/extensions/ -name hardwareconfig.xml -exec chmod a-x {} \;
	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig.py
	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig2.py
	rm -f debian/tmp/usr/share/doc/openmsx-data/release-history.txt
	dh_install -X release-history.txt -X GPL.txt
	dh_installchangelogs -i doc/release-history.txt
	dh_installman -a debian/openmsx.1
	dh_link -a usr/share/doc/openmsx-data usr/share/doc/openmsx

## openmsx 0.9.1

=== debian/changelog ===
openmsx (0.9.1-1) unstable; urgency=low

  * New upstream release. (Closes: #688935)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 04 Oct 2012 10:42:35 +0200

openmsx (0.9.0-1) unstable; urgency=low

  * New upstream release. (Closes: #683492)
  * Strip all -Wl options from LDFLAGS. (Closes: #677198)

 -- Bas Wijnen <wijnen@debian.org>  Wed, 26 Sep 2012 09:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
 Standards-Version: 3.9.3
 Homepage: http://openmsx.sf.net

## openmsx 0.10.0

=== debian/changelog ===
openmsx (0.10.0-1ubuntu1) trusty; urgency=medium

  * Backport upstream patch to support arm64 platform.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 07 Mar 2014 18:15:28 +0400

openmsx (0.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #698315)
  * Update standards version to 3.9.5.  (No changes needed.)
  * Explicitly disable tests, which aren't present.  Thanks to Gregor Herrmann
    for the fix. (Closes: #718133)
  * Make debian/copyright follow DEP-5.
  * Remove obsolete fix for wrong permission from debian/rules.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 24 Jan 2014 21:52:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openmsx
 Section: otherosfs
 Priority: optional
-Maintainer: Bas Wijnen <wijnen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://openmsx.sf.net
 
 Package: openmsx

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 	dh_testdir
 	$(MAKE) OPENMSX_FLAVOUR=debian
 	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
-	chmod a-x share/scripts/tas_tools.tcl
 
 override_dh_auto_clean:
 	dh_testdir
@@ -24,7 +23,12 @@
 	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig.py
 	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig2.py
 	rm -f debian/tmp/usr/share/doc/openmsx-data/release-history.txt
-	dh_install -X release-history.txt -X GPL.txt
+	rm -f debian/tmp/usr/share/doc/openmsx-data/GPL.txt
+	dh_install -X release-history.txt
 	dh_installchangelogs -i doc/release-history.txt
 	dh_installman -a debian/openmsx.1
 	dh_link -a usr/share/doc/openmsx-data usr/share/doc/openmsx
+
+override_dh_auto_test:
+	# No testsuite available.
+	# This makes sure dh doesn't attempt to run it anyway (see #718133)

=== debian/watch ===
version=3
http://sf.net/openmsx/openmsx-([0-9.]+).tar.gz

## openmsx 0.10.1

=== debian/changelog ===
openmsx (0.10.1-2) unstable; urgency=medium

  * Disable optimization on mips to avoid compiler timeout on buildd.
    (Closes: #754757)
  * Force mipsel detection to work around autodetect bug (patch from upstream).
    (Closes: #758822)

 -- Bas Wijnen <wijnen@debian.org>  Sun, 05 Oct 2014 11:31:55 -0400

openmsx (0.10.1-1) unstable; urgency=medium

  * New upstream release.  (Closes: #752127)
  * Add desktop entry.  (Closes: #746408)

 -- Bas Wijnen <wijnen@debian.org>  Fri, 04 Jul 2014 02:37:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openmsx
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bas Wijnen <wijnen@debian.org>
+Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
 Standards-Version: 3.9.5
 Homepage: http://openmsx.sf.net

=== debian/watch ===
version=3
http://sf.net/openmsx/openmsx-([0-9.]+).tar.gz debian uupdate

## openmsx 0.11.0

=== debian/changelog ===
openmsx (0.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove mips cpu detect patch, included in this release.
  * Update standards version to 3.9.6.  (No changes needed.)
  * Move desktop file from data package to package containing executable.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 20 Jun 2015 09:27:01 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://openmsx.sf.net
 
 Package: openmsx
 Architecture: any
 Depends: openmsx-data (= ${source:Version}), cbios (>= 0.23), ${shlibs:Depends}, ${misc:Depends}
+Replaces: openmsx-data (<< ${source:Version})
 Suggests: openmsx-catapult, openmsx-debugger
 Provides: msx-emulator
 Description: MSX emulator that aims for perfection

## openmsx 0.12.0

=== debian/changelog ===
openmsx (0.12.0-2) unstable; urgency=medium

  * Fix build failure with libstdc++6.  Closes: #822650
  * Use fonts from ttf-bitstream-vera instead of bundled.
  * Recompress dummy rom to get rid of timestamp.
  * Remove menu file in favor of desktop file.
  * Upgrade standards version to 3.9.8.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 01 May 2016 11:54:08 -0400

openmsx (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch and debian/copyright to reflect move to github.
  * Update homepage in debian/control.

 -- Bas Wijnen <wijnen@debian.org>  Tue, 06 Oct 2015 09:09:16 -0400

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,12 @@
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp OPENMSX_FLAVOUR=debian
-	find debian/tmp/usr/share/openmsx/extensions/ -name hardwareconfig.xml -exec chmod a-x {} \;
-	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig.py
-	rm -f debian/tmp/usr/share/openmsx/scripts/convert_hardwareconfig2.py
-	rm -f debian/tmp/usr/share/doc/openmsx-data/release-history.txt
-	rm -f debian/tmp/usr/share/doc/openmsx-data/GPL.txt
+	gunzip debian/tmp/usr/share/openmsx/extensions/Lascom_Kanji-dummy.rom.gz
+	sed -i 's/Lascom_Kanji-dummy.rom.gz/Lascom_Kanji-dummy.rom/' debian/tmp/usr/share/openmsx/extensions/Lascom_Kanji.xml
+	rm debian/tmp/usr/share/openmsx/skins/Vera.ttf.gz
+	rm debian/tmp/usr/share/openmsx/skins/VeraMono.ttf.gz
+	rm debian/tmp/usr/share/doc/openmsx-data/release-history.txt
+	rm debian/tmp/usr/share/doc/openmsx-data/GPL.txt
 	dh_install -X release-history.txt
 	dh_installchangelogs -i doc/release-history.txt
 	dh_installman -a debian/openmsx.1

## openmsx 0.13.0

=== debian/changelog ===
openmsx (0.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch which has been included upstream.
  * Use new verbosity flag instead of patch.
  * Revert recompression, as upstream now compresses without timestamp.
  * Update font patch.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 22 Sep 2016 12:24:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
-Standards-Version: 3.9.6
-Homepage: http://openmsx.sf.net
+Standards-Version: 3.9.8
+Homepage: http://openmsx.org
 
 Package: openmsx
 Architecture: any
@@ -21,11 +21,10 @@
 
 Package: openmsx-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ttf-bitstream-vera
 Recommends: openmsx
 Description: datafiles for openMSX, an MSX emulator
  openMSX is an open source MSX emulator that uses a unique emulation model,
  which tries to achieve the highest level of accuracy possible.
  .
- This package provides descriptions in XML format for various MSX machines and
- extensions.
+ This package provides data that openmsx needs to run.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_build:
 	dh_testdir
-	$(MAKE) OPENMSX_FLAVOUR=debian
+	$(MAKE) V=2 OPENMSX_FLAVOUR=debian
 	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
 
 override_dh_auto_clean:
@@ -19,8 +19,6 @@
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp OPENMSX_FLAVOUR=debian
-	gunzip debian/tmp/usr/share/openmsx/extensions/Lascom_Kanji-dummy.rom.gz
-	sed -i 's/Lascom_Kanji-dummy.rom.gz/Lascom_Kanji-dummy.rom/' debian/tmp/usr/share/openmsx/extensions/Lascom_Kanji.xml
 	rm debian/tmp/usr/share/openmsx/skins/Vera.ttf.gz
 	rm debian/tmp/usr/share/openmsx/skins/VeraMono.ttf.gz
 	rm debian/tmp/usr/share/doc/openmsx-data/release-history.txt

## openmsx 0.14.0

=== debian/changelog ===
openmsx (0.14.0-2) unstable; urgency=medium

  * Split dmk tools into their own binary package.
  * Fix typo in manpage.
  * Use latest tcl version.  Closes: #889043
  * Update standards version to 4.1.3.  (No changes needed.)

 -- Bas Wijnen <wijnen@debian.org>  Sun, 04 Feb 2018 18:03:29 +0100

openmsx (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Change debhelper compat level to 10.
  * Update standards version to 4.0.0.  (No changes needed.)
  * Include dmk tools.
  * Add manpage for dmk tools.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 06 Aug 2017 14:57:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl8.5-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
-Standards-Version: 3.9.8
-Homepage: http://openmsx.org
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
+Standards-Version: 4.0.0
+Homepage: https://openmsx.org
 
 Package: openmsx
 Architecture: any
 Depends: openmsx-data (= ${source:Version}), cbios (>= 0.23), ${shlibs:Depends}, ${misc:Depends}
 Replaces: openmsx-data (<< ${source:Version})
-Suggests: openmsx-catapult, openmsx-debugger
+Suggests: openmsx-catapult, openmsx-debugger, dmktools
 Provides: msx-emulator
 Description: MSX emulator that aims for perfection
  openMSX is an open source MSX emulator that uses a unique emulation model,
@@ -28,3 +28,15 @@
  which tries to achieve the highest level of accuracy possible.
  .
  This package provides data that openmsx needs to run.
+
+Package: dmktools
+Architecture: any
+Depends: ${misc:Depends}
+Recommends: openmsx
+Conflicts: openmsx (<< 0.14.0-2)
+Description: tools for manipulating floppy disk images in the dmk format
+ Emulators such as OpenMSX attempt to emulate a real machine as best as
+ possible. Some copy protection schemes rely on unformatted or bad sectors on
+ floppy disks. The dmk format allows disk images to contain such unusual
+ configurations. This package contains tools for generating and manipulating
+ dmk image files.

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,13 @@
 	dh_testdir
 	$(MAKE) V=2 OPENMSX_FLAVOUR=debian
 	docbook-to-man doc/openmsx.sgml > debian/openmsx.1
+	$(MAKE) -C Contrib/dmk
 
 override_dh_auto_clean:
 	dh_testdir
 	dh_testroot
 	$(MAKE) clean
+	rm -rf Contrib/dmk/build/
 	rm -rf derived/
 	rm -f debian/openmsx.1
 	rm -f build/*.pyc

## openmsx 0.15.0

=== debian/changelog ===
openmsx (0.15.0-2ubuntu2) focal; urgency=medium

  * Fix builds on ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Apr 2020 22:45:23 +0200

openmsx (0.15.0-2ubuntu1) focal; urgency=medium

  * Build-depend on python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 13:42:51 +0100

openmsx (0.15.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:43 +0100

openmsx (0.15.0-2) unstable; urgency=medium

  * Add svicpm2dmk to dmktools package.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 20 Dec 2018 19:29:58 +0100

openmsx (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Add shlibs:Depends to dmktools control section.  Closes: #915588

 -- Bas Wijnen <wijnen@debian.org>  Thu, 20 Dec 2018 14:07:49 +0100

openmsx (0.14.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch to detect freetype2 via pkg-config (Closes: #892449)

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Oct 2018 16:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python (>= 2.5), libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python2, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
 Standards-Version: 4.0.0
 Homepage: https://openmsx.org
 
@@ -31,7 +31,7 @@
 
 Package: dmktools
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: openmsx
 Conflicts: openmsx (<< 0.14.0-2)
 Description: tools for manipulating floppy disk images in the dmk format

## openmsx 16.0

=== debian/changelog ===
openmsx (16.0-1) unstable; urgency=medium

  * New release.
  * New build system uses Python3. Closes: #967191, #937203
  * Add link for svicpm2dmk manpage.

 -- Bas Wijnen <wijnen@debian.org>  Sun, 30 Aug 2020 14:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl1.2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl-ttf2.0-dev, python2, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7), docbook-to-man, libsdl2-dev, libpng-dev, tcl-dev, libgl1-mesa-dev | libgl-dev, libxml2-dev, libglew-dev, libsdl2-ttf-dev, python3, libvorbis-dev, libtheora-dev (>= 1.0), libogg-dev, libao-dev, libfreetype6-dev
 Standards-Version: 4.0.0
 Homepage: https://openmsx.org
